Bug 239056 - x11-toolkits/libhandy: update to 0.0.10, fix init codegen
Summary: x11-toolkits/libhandy: update to 0.0.10, fix init codegen
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-09 10:07 UTC by Greg V
Modified: 2019-08-03 04:02 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
libhandy010.patch (3.45 KB, patch)
2019-07-09 10:07 UTC, Greg V
no flags Details | Diff
libhandy010.patch v2 (3.33 KB, patch)
2019-07-11 11:32 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2019-07-09 10:07:15 UTC
Created attachment 205597 [details]
libhandy010.patch

The issue: BSD sed was silently generating an empty init function, so gobjects were not registered: https://source.puri.sm/Librem5/libhandy/issues/135

So using gsed now.
Comment 1 Greg V 2019-07-11 11:32:37 UTC
Created attachment 205691 [details]
libhandy010.patch v2

better solution offered by upstream: using standard sed
Comment 2 commit-hook freebsd_committer 2019-08-03 04:01:39 UTC
A commit references this bug:

Author: jbeich
Date: Sat Aug  3 04:01:33 UTC 2019
New revision: 507930
URL: https://svnweb.freebsd.org/changeset/ports/507930

Log:
  x11-toolkits/libhandy: update to 0.0.10

  - Backport fix to init codegen

  PR:		239056
  Submitted by:	Greg V <greg@unrelenting.technology>
  Approved by:	maintainer timeout (3 weeks)

Changes:
  head/x11-toolkits/libhandy/Makefile
  head/x11-toolkits/libhandy/distinfo
  head/x11-toolkits/libhandy/pkg-plist